<bugID>1094812<Summary>Use Bookmarks.jsm in browser-places.js</Summary><Description>We should refactor the star ui (both bookmarked status and the edit pane) to use the new Bookmarks.jsm API
This involves changes to browser-places.js, editBookmarkOverlay.js</Description></bugID>